---
title: "Delete Invite by ID"
slug: "delete-invite-by-id"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Invite by ID

Delete/api/v1/removeInvite/{_id}

Deletes an invite from the workspace.

[Permission](https://docs.rocket.chat/docs/permissions) required: `create-invite-links`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Path parameters_idstringRequired

The invite ID to be deleted.

ExamplekDKQ3H

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='e2707786-3071-42fc-a2ab-b2b19244229a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b4fa5038-6925-42a4-99f6-537dad925c13'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='220ea793-37e6-4d32-91b1-5baf2c5a0ef8'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7415ce30-3b38-4ba5-a4fb-d8ed8fcca57e'>Invalid Invitation Id</option>
</select>Invalid Invitation Id

```json
{
  "success": false,
  "error": "Invalid Invitation _id [invalid-invitation-id]",
  "errorType": "invalid-invitation-id",
  "details": {
    "method": "removeInvite"
  }
}
```

Expand Allobject  successboolean    
errorstring    
errorTypestring    
detailsobject  methodstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='5af3461c-54ab-4506-8475-98e0d91c0368'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='fc0a7c92-6284-4cf7-bd4b-88b6c8bab76f'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
